%define url_ver %(echo %{version}|cut -d. -f1,2)

Summary:	IDE for writing GNOME-based software
Name:		gnome-builder
Version:	3.22.2
Release:	4
License:	GPLv3+
Group:		Editors
Url:		https://wiki.gnome.org/Apps/Builder
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		gnome-builder-3.22.1-linkage.patch
BuildRequires:	appstream-util
BuildRequires:	desktop-file-utils
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	mm-common
BuildRequires:	clang-devel
BuildRequires:	llvm-devel
BuildRequires:	pkgconfig(gjs-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gtksourceview-3.0)
BuildRequires:	pkgconfig(libdevhelp-3.0)
BuildRequires:	pkgconfig(libgit2-glib-1.0)
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:	pkgconfig(libpeas-1.0)
BuildRequires:	pkgconfig(pygobject-3.0)
BuildRequires:	pkgconfig(python3)
Requires:	uncrustify
Conflicts:	%{_lib}gnome-builder1.0 < 3.22
Conflicts:	%{_lib}gnome-builder-gir1.0 < 3.22
Conflicts:	%{_lib}gnome-builder-devel < 3.22
Obsoletes:	%{_lib}gnome-builder1.0 < 3.22
Obsoletes:	%{_lib}gnome-builder-gir1.0 < 3.22
Obsoletes:	%{_lib}gnome-builder-devel < 3.22

%description
Builder attempts to be an IDE for writing software for GNOME. It does not try
to be a generic IDE, but one specialized for writing GNOME software.

%files -f gnome-builder.lang
%doc NEWS README COPYING
%{_bindir}/%{name}
%{_bindir}/%{name}-cli
%dir %{_libdir}/%{name}/
%{_libdir}/%{name}/*
%{_libexecdir}/gnome-builder-worker
# AppData is CC0.
%{_datadir}/appdata/org.gnome.Builder.appdata.xml
%{_datadir}/applications/org.gnome.Builder.desktop
%{_datadir}/dbus-1/services/org.gnome.Builder.service
%{_datadir}/glib-2.0/schemas/*.gschema.xml
%{_datadir}/gtksourceview-3.0/styles/builder*.xml
%dir %{_datadir}/%{name}/
%{_datadir}/%{name}/*
# CC-BY-SA.
%{_datadir}/icons/*/*/*/*
%{_datadir}/gtk-doc/html/libide/*
%{_includedir}/gnome-builder-*
%{py3_platsitedir}/*

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1

%build
autoreconf -fi
%configure2_5x \
	--disable-static
%make V=1

%install
%makeinstall_std

%find_lang gnome-builder --all-name --with-gnome

%check
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/appdata/org.gnome.Builder.appdata.xml
desktop-file-validate %{buildroot}/%{_datadir}/applications/org.gnome.Builder.desktop

%changelog
